Skip to main content
GET
/
v1
/
clearing
/
positions
List clearing positions
curl --request GET \
  --url https://slc.sandbox.lerian.net/v1/clearing/positions \
  --header 'Authorization: <api-key>'
import requests

url = "https://slc.sandbox.lerian.net/v1/clearing/positions"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://slc.sandbox.lerian.net/v1/clearing/positions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "counterparties": [
        {
          "amountCents": 123,
          "counterpartyIspb": "<string>",
          "direction": "<string>"
        }
      ],
      "currency": "<string>",
      "cycle": "<string>",
      "participantIspb": "<string>",
      "positionCents": 123,
      "receivedAt": "<string>",
      "referenceDate": "<string>",
      "sourceMessageId": "<string>",
      "stage": "<string>"
    }
  ],
  "pagination": {
    "hasNext": true,
    "page": 123,
    "perPage": 123
  }
}
{
"code": "<string>",
"details": {},
"message": "<string>",
"title": "<string>"
}
{
"code": "<string>",
"details": {},
"message": "<string>",
"title": "<string>"
}
{
"code": "<string>",
"details": {},
"message": "<string>",
"title": "<string>"
}
{
"code": "<string>",
"details": {},
"message": "<string>",
"title": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer token authentication (format: "Bearer {token}")

Query Parameters

reference_date
string

Filter by settlement date (YYYY-MM-DD)

cycle
string

Filter by settlement cycle

stage
string

Filter by clearing stage (PREVIEW or FINAL)

limit
integer

Page size (default 50, max 500)

offset
integer

Row offset (default 0)

Response

OK

items
object[]
pagination
object